## pydot 1.2.3

=== requirements.txt ===
# dev
chardet
coveralls
nose

## pydot 1.0.28

=== debian/changelog ===
pydot (1.0.28-2) unstable; urgency=medium

  * debian/{control, copyright}
    - update upstream website references
  * Replace all the patches with the code from gh:nlhepler/pydot for py3k
    support; Closes: #745021, #745022, #792022, #808223
  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/watch
    - point to github
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2016 02:01:49 +0000

pydot (1.0.28-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release; Closes: #638869
    - fixes crash during DOT string conversion; Closes: #639993
  * debian/control
    - switch Vcs-Browser field to viewsvn
    - adopt package: thanks Peter for the work you did; Closes: #739875
    - updated Homepage field; Closes: #686390
    - bump Standards-Version to 3.9.5 (no changes needed)
    - removed Conflict, no longer needed (version already superseded in stable)
    - removed old XB-P-V, no longer needed
    - added misc:Depends to binary package
    - extend long description
    - bump python-pyparsing dependecies on v2
    - added python{,3}-setuptools, graphviz  to b-d
  * debian/copyright
    - converted to DEP-5 format
    - updated as per new upstream release
  * debian/patches/01-setup-py-nodata.patch
    - refreshed
  * Converted to 3.0 (quilt) source format
  * debian/{control, rules}
    - converted to dh sequencer
  * debian/{pycompat, pyversions}
    - removed, no longer needed
  * Switch to dh_python2
  * debian/patches/support-pyparsing-v2.patch
    - support pyparsing v2 module; Closes: #729085
  * Support Python3; Closes: #739858
  * debian/patches/handle-double-quoted-strings-with-escaped-quotes.patch
    - proper handle of double quoted strings with escaped quotes
  * Added (from upstream SVN) unittest files and execute them at build time

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

 -- Sandro Tosi <morph@debian.org>  Sat, 22 Mar 2014 23:35:02 +0100

pydot (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-setup-py-nodata.patch: patched setup.py to stop
    data files being installed to /usr
  * debian/pyversions, debian/control: package now works with only
    Python 2.4+
  * debian/control:
    - dependency on python-parsing changed to (>= 1.4.10) due to
      nestedExpr symbol requirement
    - added Conflicts on dot2tex (<< 2.8.0) due to incompatibility
    - added DM-Upload-Allowed: yes
    - moved python-support to Build-Depends as required for clean target
    - changed Section to python
  * debian/copyright: updated year
  * debian/watch: escaped the dots

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Mon, 26 May 2008 15:35:04 +0100

pydot (0.9.10-3) UNRELEASED; urgency=low

  * debian/control
    - uniforming Vcs-Browser field

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 03 Jan 2008 11:53:11 +0100

pydot (0.9.10-2) unstable; urgency=low

  * debian/copyright: Rewrapped to 80 characters per line
  * debian/watch: Updated with new download location (closes: #450120)
  * debian/control:
    - added Debian Python Modules Team to Uploaders
    - added Homepage, Vcs-Browser, Vcs-Svn fields
    - removed Provides field
    - changed python-all-dev to python in Build-Depends
    - moved packages from Build-Depends to Build-Depends-Indep

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Mon, 12 Nov 2007 19:29:39 +0000

pydot (0.9.10-1) unstable; urgency=low

  * Initial release (Closes: #397663)

 -- Peter Collingbourne <pcc03@doc.ic.ac.uk>  Wed,  8 Nov 2006 15:52:04 +0000

=== debian/control ===
Source: pydot
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.38), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, graphviz
Build-Depends-Indep: python-pyparsing (>= 2.0.1+dfsg1), python3-pyparsing (>= 2.0.1+dfsg1)
Standards-Version: 3.9.6
X-Python3-Version: all
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pydot.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pydot.git
Homepage: https://github.com/erocarrera/pydot

Package: python-pydot
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pyparsing (>= 2.0.1+dfsg1-1), graphviz
Description: Python interface to Graphviz's dot
 pydot allows one to easily create both directed and non directed graphs from
 Python. Currently all attributes implemented in the Dot language are supported.
 .
 Output can be inlined in Postscript into interactive scientific environments
 like TeXmacs, or output in any of the format's supported by the Graphviz tools
 dot, neato, twopi.

Package: python3-pydot
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pyparsing (>= 2.0.1+dfsg1-1), graphviz
Description: Python interface to Graphviz's dot (Python 3)
 pydot allows one to easily create both directed and non directed graphs from
 Python. Currently all attributes implemented in the Dot language are supported.
 .
 Output can be inlined in Postscript into interactive scientific environments
 like TeXmacs, or output in any of the format's supported by the Graphviz tools
 dot, neato, twopi.
 .
 This package contains pydot for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS := $(shell pyversions -s)
PY3VERS := $(shell py3versions -s)

%:
	dh $@ --with python2,python3


override_dh_auto_build:
	set -e ; \
	for python in $(PY2VERS) $(PY3VERS); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	set -e ; \
	for python in $(PY2VERS); do \
		$$python setup.py install --root=debian/python-pydot --install-layout=deb; \
	done
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py install --root=debian/python3-pydot --install-layout=deb; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; \
	for python in $(PY2VERS) $(PY3VERS); do \
	# retrive the lib path \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)") ; \
		PYTHONPATH=$$LIB $$python debian/unittest/pydot_unittest.py ; \
	done
endif

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/pydot-$1.tar.gz/" \
https://github.com/erocarrera/pydot/tags (?:.*?/)?pydot-?(\d[\d.]*)\.tar\.gz

## pydot 1.2.3

=== debian/changelog ===
pydot (1.2.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * new upstream release; Closes: #868857
  * debian/watch
    - update to match new upstream tag format
  * debian/patches/01-setup-py-nodata.patch
    - drop, merged upstream (as of 69dce47)
  * debian/patches/0002-support-python3.patch
    - drop, applied upstream (as of cb0dfe1)
  * debian/unittest/*
    - remove as tests are now shipped in upstream tarball
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright notice
  * debian/control
    - bump Standards-Version to 4.1.1 (no changes needed)
    - add chardet to b-d-i, needed by tests
  * debian/rules
    - run tests from the upstream test/ dir
    - dont fail if tests fail
  * debian/patches/crlf-to-lf.patch
    - restore upstream test files with CRLF which were converted to LF by git
  * debian/compat
    - bump to compat level 9

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Nov 2017 16:57:34 -0500

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5.0.38), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, graphviz
-Build-Depends-Indep: python-pyparsing (>= 2.0.1+dfsg1), python3-pyparsing (>= 2.0.1+dfsg1)
-Standards-Version: 3.9.6
+Build-Depends-Indep: python-pyparsing (>= 2.0.1+dfsg1), python3-pyparsing (>= 2.0.1+dfsg1), python-chardet, python3-chardet
+Standards-Version: 4.1.1
 X-Python3-Version: all
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pydot.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pydot.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pydot.git
 Homepage: https://github.com/erocarrera/pydot

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,9 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e ; \
-	for python in $(PY2VERS) $(PY3VERS); do \
+	-for python in $(PY2VERS) $(PY3VERS); do \
 	# retrive the lib path \
 		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)") ; \
-		PYTHONPATH=$$LIB $$python debian/unittest/pydot_unittest.py ; \
+		PYTHONPATH=$$LIB $$python test/pydot_unittest.py ; \
 	done
 endif

## pydot 1.2.4

=== debian/changelog ===
pydot (1.2.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Yaroslav Halchenko ]
  * d/docs; install all README* (upstream file got .md extension now)

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches
    - removed, applied upstream
  * debian/patches/0001-dont-check-if-we-are-in-the-current-dir.patch
    - allow tests to run from the current directory
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Jun 2018 14:22:28 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 5.0.38), python-all, python3-all, dh-python, python-setuptools, python3-setuptools, graphviz
 Build-Depends-Indep: python-pyparsing (>= 2.0.1+dfsg1), python3-pyparsing (>= 2.0.1+dfsg1), python-chardet, python3-chardet
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 X-Python3-Version: all
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pydot.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pydot.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pydot.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pydot
 Homepage: https://github.com/erocarrera/pydot
 
 Package: python-pydot

## pydot 1.4.1

=== debian/changelog ===
pydot (1.4.1-3) unstable; urgency=medium

  * Drop python2 support; Closes: #937425
  * debian/patches/PR211.patch
    - fix failure in tests, test_graphviz_regression_tests
  * debian/rules
    - ignore testsuite failures for now, currently test_graph_pickling

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jan 2020 10:31:33 -0500

pydot (1.4.1-2) unstable; urgency=medium

  * debian/patches/serialize-via-dill.patch
    - allow dill to serialize Dot objects

 -- Sandro Tosi <morph@debian.org>  Thu, 03 Oct 2019 15:10:00 -0400

pydot (1.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * New upstream release
  * remove patches and run tests with --no-check
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 22 Dec 2018 17:33:20 -0500

=== debian/control ===
Source: pydot
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper (>= 5.0.38),
               dh-python,
               graphviz,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python3-chardet,
                     python3-pyparsing (>= 2.0.1+dfsg1),
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/python-team/modules/pydot.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pydot
Homepage: https://github.com/erocarrera/pydot

Package: python3-pydot
Architecture: all
Depends: graphviz,
         python3-pyparsing (>= 2.0.1+dfsg1-1),
         ${misc:Depends},
         ${python3:Depends},
Description: Python interface to Graphviz's dot (Python 3)
 pydot allows one to easily create both directed and non directed graphs from
 Python. Currently all attributes implemented in the Dot language are supported.
 .
 Output can be inlined in Postscript into interactive scientific environments
 like TeXmacs, or output in any of the format's supported by the Graphviz tools
 dot, neato, twopi.
 .
 This package contains pydot for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/pydot-$1.tar.gz/" \
https://github.com/erocarrera/pydot/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pydot 1.4.2

=== requirements.txt ===
# dev
chardet

=== debian/changelog ===
pydot (1.4.2-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:20:47 +0000

pydot (1.4.2-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - fix typo in upstream copyright name
    - extend packaging copyright years
  * Update upstream refs to point to https://github.com/pydot/pydot
  * debian/patches/PR211.patch
    - drop patch, merged upstream
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13
  * debian/source/include-binaries
    - removed, no longer needed

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Feb 2021 18:07:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: pydot
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper (>= 5.0.38),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                graphviz,
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: python3-chardet,
                      python3-pyparsing (>= 2.0.1+dfsg1),
-Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/pydot.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pydot
-Homepage: https://github.com/erocarrera/pydot
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/pydot.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pydot
+Homepage: https://github.com/pydot/pydot
 
 Package: python3-pydot
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} test/pydot_unittest.py --no-check" dh_auto_test
endif

## pydot 2.0.0

=== debian/changelog ===
pydot (2.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045513).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 May 2024 10:31:34 +0200

pydot (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:50:36 +0200

pydot (2.0.0-1) experimental; urgency=medium

  * Adopt the package (Closes: #1065231):
    - Set the team as maintainer, myself as uploader.
    - Switch to git tag based workflow.
    - Fix VCS URLs.
  * Ran wrap-and-sort -bastk.
  * Removed python3 mention from descriptions.
  * Add openstack-pkg-tools as build-depends.
  * Rebased serialize-via-dill.patch and add patch header. There was zero
    comment in the patch, so I have no idea why it is there, and what it is
    doing, though I'm leaving it as-is for the moment.
  * Add removed-test_graph_pickling.patch.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Mar 2024 08:59:06 +0100

pydot (1.4.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on python3-pyparsing.
    + python3-pydot: Drop versioned constraint on python3-pyparsing in Depends.

  [ Sandro Tosi ]
  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 00:28:32 -0500

=== debian/control ===
Source: pydot
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 graphviz,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-chardet,
 python3-pyparsing,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/pydot.git
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/pydot
Homepage: https://github.com/pydot/pydot

Package: python3-pydot
Architecture: all
Depends:
 graphviz,
 python3-pyparsing,
 ${misc:Depends},
 ${python3:Depends},
Description: Python interface to Graphviz's dot
 pydot allows one to easily create both directed and non directed graphs from
 Python. Currently all attributes implemented in the Dot language are supported.
 .
 Output can be inlined in Postscript into interactive scientific environments
 like TeXmacs, or output in any of the format's supported by the Graphviz tools
 dot, neato, twopi.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,14 @@
 #!/usr/bin/make -f
+
+UPSTREAM_GIT := https://github.com/pydot/pydot
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f test.svg
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/pydot-$1.tar.gz/" \
https://github.com/pydot/pydot/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pydot 4.0.1

=== debian/changelog ===
pydot (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Add pybuild-plugin-pyproject as build-depends.
  * Add python3-pytest and pytest-xdist as build-depends-indep.
  * Removed all patches.
  * Changed test command line in d/rules and d/tests.
  * Add python3-parameterized to build-depends-indep.
  * Blacklist unit tests failing because of font config (Closes: #1118775).

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Nov 2025 10:36:28 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,16 @@
  dh-python,
  graphviz,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
+ graphviz,
  python3-chardet,
+ python3-parameterized,
  python3-pyparsing,
+ python3-pytest,
+ python3-pytest-xdist,
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/pydot.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/pydot

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/pydot/pydot
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v test -k "not test_dot_args and not test_regression_000_crazy and not test_regression_009_proc3d and not test_regression_052_b56 and not test_regression_053_b102 and not test_regression_065_b106 and not test_regression_093_b53 and not test_regression_126_b143 and not test_regression_165_b51"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f test.svg
